<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Employee Service</title>
</head>
<body>
    This is the Index Page

    <a href="/new">Create New Employee, or use below form</a>

    <table>
        <c:forEach var="employee" items="${employees}">
            <tr>
                <td>
                   <c:out value="EMP #${employee.id}: ${employee.displayName}">

                   </c:out>
                   <a href="/edit/${employee.id}">Edit This User</a>
                   <form:form action="/delete/${employee.id}" method="POST">
                        <button>Delete this user</button>
                   </form:form>
                </td>
            </tr>
        </c:forEach>
    </table>

    <br>
    <br>

    <form:form action="/create" method="POST" modelAttribute="employee">

        <form:label path="firstName">First Name</form:label>
        <form:input type="text" path="firstName" />

        <form:label path="lastName">Last Name</form:label>
        <form:input type="text" path="lastName" />

        <input type="submit" value="Create New Employee" />
    </form:form>

</body>
</html>